{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{#
--- what about support-assist? ---
--- what about stack?
	? only deleteable via serial cable ?
#}
eula-consent hiveagent reject
{%     include UTILITY_end.j2 %}
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
application stop hiveagent
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
delete user-apps/ah_ha.conf_s
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
y
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
delete user-apps/hiveagent_pr_s
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
y
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
delete user-apps/ah_ha.conf
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
y
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
delete user-apps/hiveagent_pr
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
y
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
delete user-apps/hiveagent
{%     include UTILITY_EMPTY_line_privEXEConly.j2 %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
